/* 
  COLORS:
  Teal: #4EC8B5
  Gold: #F6DFB6
  White Transparent: #FFFFFF 8%
*/

/* 
  FONTS
*/
@font-face {
	font-family: "Atten New";
	src: url("../fonts/Atten new/AttenNewRegular.otf");
	font-weight: 400;
}
@font-face {
	font-family: "Atten New";
	src: url("../fonts/Atten new/AttenNewBook.otf");
	font-weight: 500;
}
@font-face {
	font-family: "Carrig Basic";
	src: url("../fonts/Carrig Basic/carrigbasic-regular.otf");
	font-weight: 400;
}

/* 
  RESETS
*/
* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	/* -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale; */
}

html {
	overflow-x: hidden;
}

body {
	position: relative;
	z-index: 1;
	scroll-behavior: smooth;
	font-family: "Atten New";
	font-weight: 400;
	font-size: 17px;
	overflow-x: hidden;
	position: relative;
	display: flex;
	flex-direction: column;
	min-height: 100vh;
	background-color: #082A48;
}

.bg {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	overflow: hidden;
	z-index: -1;
	opacity: 0;
}

.bg .index {
	background-image: url(/assets/images/FloatingCapital_Landing\ page.png);
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	width: 100%;
	height: 100%;
}

.bg .contact {
	background-image: url(/assets/images/FloatingCapital_Contact_page_BG.png);
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	width: 100%;
	height: 100%;
}

/* 
  Main
*/
.alert-success {
  color: #3c763d;
  background-color: #dff0d8;
  border-color: #d6e9c6;
}
.alert-danger {
  color: #a94442;
  background-color: #f2dede;
  border-color: #ebccd1;
}
main {
	position: relative;
	min-height: calc(100vh - 56px);
	padding-top: 480px;
}

.contact main {
	padding-top: 745px;
}

main .content,
main .content-contact {
	position: absolute;

	left: 50%;
	transform: translate(-50%, -50%);
	width: 90%;
}

.content {
	top: 60%;
	max-width: 694px;
}
.content-contact {
	top: 50%;
	max-width: 771px;
	padding-top: 8rem;
}

main .content .logo {
	width: 100%;
	padding-bottom: 5rem;
}

main .content .logo img {
	width: 100%;
}

main .content .button-wrapper {
	width: 100%;
	display: grid;
	grid-template-columns: 1fr 1fr;
	align-items: center;
	gap: 2rem;
}

main .content .button-wrapper button {
	background-color: rgba(246, 223, 182, 0);
	border: 1px solid #f6dfb6;
	border-radius: 0;
	color: #f6dfb6;
	width: 100%;
	padding: 1rem 2rem;
	font-family: "Carrig Basic";
	font-size: 1.2rem;
	transition: background-color 300ms ease-in-out;
	cursor: pointer;
	min-width: fit-content;
	text-transform: capitalize;
}

main .content .button-wrapper button:hover {
	background-color: rgba(246, 223, 182, 0.2);
}

header {
	position: absolute;
	top: 4rem;
	left: 5rem;
	z-index: 5;
}

header img {
	max-width: 259px;
	width: 100%;
}

.content-contact h1 {
	color: #f6dfb6;
	font-family: "Carrig Basic";
	font-weight: 400;
	font-size: 3rem;
	padding-bottom: 1.2rem;
}

.content-contact form {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.content-contact .form-item {
	width: 100%;
	display: flex;
	flex-direction: column;
}

.content-contact .form-item label {
	display: none;
}
.content-contact .form-item input,
.content-contact .form-item select,
.content-contact .form-item textarea {
	border: 0;
	color: #fff;
	font-family: "Atten New";
	font-size: 1.3rem;
	padding: 1rem 1rem;
	background-color: rgba(255, 255, 255, 0.08);
	position: relative;
}

.content-contact .form-item input:focus,
.content-contact .form-item select:focus,
.content-contact .form-item textarea:focus,
.content-contact .form-item select:focus {
  outline: none;
}

.content-contact .form-item textarea {
	min-height: 125px;
	max-height: 225px;
	min-width: 100%;
	max-width: 100%;
}

.content-contact .form-item input:active,
.content-contact .form-item select:active {
	outline: transparent;
}
.content-contact .form-item input::placeholder,
.content-contact .form-item textarea::placeholder {
	color: #fff;
}

.content-contact .form-item button {
	width: fit-content;
	padding: 1rem 2rem;
	font-size: 1.2rem;
	font-family: "Carrig Basic";
	color: #f6dfb6;
	background-color: rgba(246, 223, 182, 0);
	border: 1px solid #f6dfb6;
	line-height: 1.4rem;
	cursor: pointer;
	transition: background-color 300ms ease-in-out;
}
.content-contact .form-item button:hover {
	background-color: rgba(246, 223, 182, 0.2);
}

.content-contact .form-item select {
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;

	background-image: url(../images/arrow.svg);

	background-position: calc(100% - 15px) 1em, calc(100% - 20px) 1em, 100% 0;
	background-size: 17px 17px, 20px 20px, 2.5em 2.5em;
	background-repeat: no-repeat;
}

.content-contact .form-item select option {
	color: #000;
	font-family: "Atten New";
}

/* 
  Footer
*/

footer {
	width: 90%;
	margin: 0 auto;
	display: flex;
	justify-content: space-between;
	align-items: center;
	gap: 1rem;
	color: #fff;
	padding-bottom: 2rem;
}

footer .footer-content {
	width: 90%;
	max-width: 325px;
	text-align: center;
	display: flex;
}

footer .footer-line {
	height: 1px;
	background-color: #4ec8b5;
}

/* 
	ANIMATION PRESETS
*/

.logo {
	opacity: 0;
	transform: translateY(-50%);
}

.button-wrapper {
	opacity: 0;
	transform: translateY(-50%);
}

.footer-line {
	width: 0%;
}

.footer-content p {
	opacity: 0;
	transform: translateY(-50%);
}

.bg {
	height: 100vh;
	overflow: hidden;
}

.form-item {
	opacity: 0;
}

.content-contact h1 {
	transform: translateY(-50%);
	opacity: 0;
}

body header {
	opacity: 0;
	transform: translateY(-50%);
}

/* 
  RESPONSIVE
*/

@media screen and (max-width: 768px) {
	body {
		font-size: 15px;
	}

	main {
		min-height: calc(100vh - 48px);
		padding-top: 355px;
		padding-bottom: 4rem;
		height: fit-content;
	}

	.contact main {
		padding-top: 585px;
	}

	main .content .button-wrapper {
		grid-template-columns: 1fr;
		gap: 1rem;
	}

	main .content .button-wrapper button {
		font-size: 1rem;
		width: 225px;
		margin: auto;
	}
	main .content .button-wrapper a {
		margin: auto;
	}

	main .content .logo {
		/* max-width: 255px; */
		width: 88%;
		margin: auto;
		padding-bottom: 2.5rem;
	}

	footer {
		gap: 0.5rem;
	}

	footer .footer-line {
		max-width: 10%;
	}

	footer .footer-content {
		margin: auto;
		font-size: 0.7rem;
		width: max-content;
	}

	.content-contact {
		padding-top: 8rem;
		padding-bottom: 2rem;
	}

	.content-contact h1 {
		text-align: center;
		font-size: 2rem;
	}

	.content-contact .form-item button {
		width: 100%;
		font-weight: 400;
		font-size: 1rem;
		line-height: normal;
	}

	header {
		left: 50%;
		top: 3rem;
		transform: translateX(-50%) !important;
	}
}
